Name: katrin-web
Version: 1.2.6
Release: alt0.M41.1

%define installdir /var/www/html/addon-modules/%name
%add_python_lib_path %installdir

Summary: Web interface for Katrin billing system
License: GPL
Group: Networking/WWW
Requires: python-module-flup python-module-django-dbbackend-mysql

URL: http://katrin.sf.net
Packager: Denis Klimov <zver@altlinux.ru>
BuildArch: noarch

Source: katrin-web.tar
Source1: katrin-web.conf
Source2: katrin-cli
Source3: katrin-lightsquid

%description
Web interface for Katrin billing system.
%description -l ru_RU.UTF8
Web-интерфейс для биллинговой системы Katrin

%package apache
Summary: Apache conf files for katrin-web
Group: Networking/WWW
Requires: %name = %version-%release
Requires: apache
Requires: mod_fastcgi
Requires: python-module-django >= 1.0

%description apache
This package provides Apache config files for katrin-web.
%description -l ru_RU.UTF8 apache
Конфигурационные файлы katrin-web для Apache

%package -n katrin-cli
Summary: CLI for katrin-web
Group: Networking/WWW
Requires: %name = %version-%release

%description -n katrin-cli
Command line interface (CLI) for katrin.
It use katrin-web. For run it katrin-web must be correctly config.
%description -l ru_RU.UTF8 -n katrin-cli
CLI интфейс для katrin. Для верной работы необходимо чтобы в katrin-web файл
settings.py был верно настроен.

%package -n katrin-lightsquid
Summary: Katrin lightsquid utils
Group: Networking/WWW
Requires: katrin-cli = %version-%release

%description -n katrin-lightsquid
Katrin lightsquid script output pairs IP LOGIN all katrin users, which use
traff service. This output may be used for feel lightsquid realname
config file before call lightsquid by cron.
%description -l ru_RU.UTF8 -n katrin-lightsquid
Скрипт, выводящий пары значений IP LOGIN для каждого пользователя katrin, который
пользуется traff услугой. Этот вывод может использоваться для заполнения lightsquid
realname конфигурационного файла перед вызовом lightsquid по cron.

%prep
%setup -n katrin-web

%build

%install
install -pD %SOURCE1 %buildroot/etc/httpd/conf/addon-modules.d/katrin-web.conf
install -pD %SOURCE2 %buildroot/%_sbindir/katrin
install -pD %SOURCE3 %buildroot/%_sbindir/katrin-lightsquid
mkdir -p %buildroot%installdir
cp -pR katrin-web/* %buildroot%installdir/

%post apache
%post_service httpd

%postun apache
%post_service httpd

%files
%doc Changelog
%installdir/
%config(noreplace) %installdir/settings.py

%files apache
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/katrin-web.conf

%files -n katrin-cli
%_sbindir/katrin

%files -n katrin-lightsquid
%_sbindir/katrin-lightsquid

%changelog
* Wed Feb 11 2009 Vladimir V. Kamarzin <vvk@altlinux.org> 1.2.6-alt0.M41.1
- Rebuild for 4.1

* Tue Dec 23 2008 Denis Klimov <zver@altlinux.org> 1.2.6-alt1
- new version

* Wed Nov 19 2008 Denis Klimov <zver@altlinux.ru> 1.2.5-alt1
- new version
- add katrin-lightsquid subpackage

* Tue Nov 18 2008 Denis Klimov <zver@altlinux.ru> 1.2.4-alt1
- new version

* Wed Nov 05 2008 Vladimir V. Kamarzin <vvk@altlinux.org> 1.2.3-alt0.M41.2
- Rebuild for 4.1

* Sat Nov 01 2008 Denis Klimov <zver@altlinux.ru> 1.2.3-alt1
- new version

* Mon Oct 27 2008 Denis Klimov <zver@altlinux.ru> 1.2.2-alt1
- add russian description for packages
- add Changelog file to katrin-web package

* Wed Oct 22 2008 Vladimir V. Kamarzin <vvk@altlinux.org> 1.2.1-alt0.M41.1
- Rebuild for 4.1

* Fri Oct 10 2008 Denis Klimov <zver@altlinux.ru> 1.2.1-alt1
- more compact select user in traff menu
- fix show summary user stats by year

* Sun Oct 05 2008 Denis Klimov <zver@altlinux.ru> 1.2.0-alt1
- support 1.2.0 katrin db scheme
- change structure of traff stats pages

* Fri Oct 03 2008 Denis Klimov <zver@altlinux.ru> 1.1.4-alt1
- add katrin-cli subpackage

* Thu Oct 02 2008 Denis Klimov <zver@altlinux.ru> 1.1.3-alt1
- show title in filter page

* Sat Sep 06 2008 Denis Klimov <zver@altlinux.org> 1.1.2-alt1
- modify for work with first django release

* Wed May 28 2008 Denis Klimov <zver@altlinux.ru> 1.1.1-alt1
- check admin auth in custom views
- add refill page

* Sun May 04 2008 Denis Klimov <zver@altlinux.ru> 1.1.0-alt1
- add statistics by filters feature

* Tue Apr 29 2008 Denis Klimov <zver@altlinux.ru> 1.0.0-alt2
- add store stat field in models

* Tue Mar 11 2008 Denis Klimov <zver@altlinux.ru> 1.0.0-alt1.RC0
- make separate django applications
- support 1.0.0-RC1 katrin database schema

* Tue Dec 25 2007 Denis Klimov <zver@altlinux.ru> 0.4-alt1
- modify models
- add menu in stat pages
- add define encoding

* Thu Dec 13 2007 Denis Klimov <zver@altlinux.ru> 0.3-alt1
- show traffic bytes as float
- add cost in stats of month and order by it
- add RequestContext in return functions for show userlink in top of admin panel

* Wed Dec 05 2007 Denis Klimov <zver@altlinux.ru> 0.2-alt1
- build for 0.2 version

* Thu Nov 29 2007 Denis Klimov <zver@altlinux.ru> 0.1-alt1
- init build for ALT Linux


